Seit Firefox Version 22.0 erscheint oft eine Fehlermeldung bei Addon-Inkompatibilität

Beim Start von Firefox öffnen sich mehrere Fenster mit dem folgenden Inhalt:

[JavaScript-Anwendung]
Error: Illegal operation on WrappedNative prototype object

Die Meldung erscheint nur, wenn Sie Javascript im Browser aktiviert haben.

JavaScript ist aktiviert

Die Fehlermeldung bezieht sich typischerweise auf einen Code einer nativen Funktion im Firefox – er verstößt gegen die Javascript-Flexibilität. Das hängt mit verschärften Sicherheitsvorkehrungen zum Betrieb von Javascript seit Firefox Version 22.0 zusammen. In der Version wurden einige Aktionen in gewissen Zusammenhängen verboten. Dadurch wurden zum Teil Plugins oder Addons inkompatibel.

Empfohlen wird, alle Erweiterungen abzuschalten (am einfachsten durch Start im Safe Mode) und dann Schritt für Schritt wieder zu aktivieren, bis der Fehler erneut auftritt. Das betreffende Addon sollte man dann entweder (wenn möglich) aktualisieren oder darauf verzichten. In einigen Fällen half es auch, die Hardware-Beschleunigung zu de- oder zu aktivieren.

Hardware-Beschleunigung verwenden, wenn verfügbar

Mozilla ist das Problem mittlerweile bekannt, Hilfestellungen gibt es dort in Foren:

Mozilla Support: Hilfe-Forum 963014
Mozilla Support: Hilfe-Forum 963203
Mozilla Support: Hilfe-Forum 964038
Mozilla Support: Hilfe-Forum 964464

Einige Addons, die bisher als Verursacher bekannt sind:
– CloudMagic
SkipScreen
Dropbox
Kunena Templates mit Lösung
QCLean
Pentadactyl – Lösung ist auf Latest Pentadactyl Nightly zu aktualisieren
Ajax/Jquery Plugins
FB PhotoTheater Killer
– Free Youtube Downloader von Cliprex.com
– Xinha CSS Plugin (Xinha WYSIWYG Editor)
– IB Updater (IncrediBar)
GmailTeX

1 Stern2 Sterne3 Sterne4 Sterne5 Sterne (29 Bewertungen, Durchschnitt: 4,40 von 5)
Loading...